# Interface InputMethodListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `AWTEventMulticaster`

public interface InputMethodListener extends EventListener
The listener interface for receiving input method events. A text editing component has to install an input method event listener in order to work with input methods.

The text editing component also has to provide an instance of InputMethodRequests.

Since:
  1.2
See Also:
  - `InputMethodEvent`
  - `InputMethodRequests`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `caretPositionChanged(InputMethodEvent event)`
  Invoked when the caret within composed text has changed.
  `void`
  `inputMethodTextChanged(InputMethodEvent event)`
  Invoked when the text entered through an input method has changed.

- ## Method Details

  - ### inputMethodTextChanged

    void inputMethodTextChanged(InputMethodEvent event)
    Invoked when the text entered through an input method has changed.
    Parameters:
      `event` - the event to be processed

  - ### caretPositionChanged

    void caretPositionChanged(InputMethodEvent event)
    Invoked when the caret within composed text has changed.
    Parameters:
      `event` - the event to be processed